from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTransferable(XInterface, Protocol):
    def getTransferDataFlavors(self) -> sequence < DataFlavor >: ...
    def isDataFlavorSupported(self, aFlavor: DataFlavor) -> bool: ...
